/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package patternexercice.exercice1;

/**
 * A couple of numbers, with first > second.
 * @author rosmord
 */
public class TwoNumbers {
    private int first, second;

    public TwoNumbers(int first, int second) {
        if (first <= second) throw new IllegalArgumentException("In this class, first should be larger than second.");
        this.first = first;
        this.second = second;
    }

    public int getFirst() {
        return first;
    }

    public int getSecond() {
        return second;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 23 * hash + this.first;
        hash = 23 * hash + this.second;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TwoNumbers other = (TwoNumbers) obj;
        if (this.first != other.first) {
            return false;
        }
        if (this.second != other.second) {
            return false;
        }
        return true;
    }

    
    
    
}
