/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package patternexercice.exercice2;

import java.util.ArrayList;
import java.util.List;

/**
 * A class representing an HTML Tag.
 * @author rosmord
 */
public class HtmlElement extends HtmlNode {
    private String tag;
    private ArrayList<HtmlNode> children= new ArrayList<>();

    public HtmlElement(String tag) {
        this.tag = tag;
    }
    
    public void addChild(HtmlNode child) {
        children.add(child);
    }
    
    public void removeChild(int pos) {
        children.remove(pos);
    }
    
    public void addChildAt(HtmlNode child, int pos) {
        children.add(pos, child);
    }

    @Override
    public List<HtmlNode> getChildren() {
        return new ArrayList<>(children);
    }

    @Override
    public String toHtml() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }
    
}
