package patternexercice.exercice2;

import java.util.List;


/**
 * Base class for representing html documents.
 * @author rosmord
 */
public abstract class HtmlNode {
    /**
     * Returns the children of this html node.
     * @return 
     */
    public abstract List<HtmlNode> getChildren();
    
    /**
     * Transform this node in proper html text.
     * @return 
     */
    public abstract String toHtml();
}
