package patternexercice.exercice2;

import java.util.Collections;
import java.util.List;

/**
 *
 * @author rosmord
 */
public class TextNode extends HtmlNode {

    private String text;

    public TextNode(String text) {
        this.text = text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    @Override
    public List<HtmlNode> getChildren() {
        return Collections.emptyList();
    }

    @Override
    public String toHtml() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

}
