/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package patternexcercice.exercice1;

import org.junit.Test;
import static org.junit.Assert.*;
import patternexercice.exercice1.MaxNumberException;
import patternexercice.exercice1.MaxNumbers;
import patternexercice.exercice1.TwoNumbers;

/**
 *
 * @author rosmord
 */
public class MaxNumbersTest {

    @Test
    public void testNormal() throws MaxNumberException {
        int t[] = {5, 2, 9, 7, 2};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test
    public void testNormal2() throws MaxNumberException {
        int t[] = {5, 2, 7, 3, 9, 2};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test
    public void testWithRepetition() throws MaxNumberException {
        int t[] = {5, 2, 9, 7, 9, 7, 2};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test
    public void testWithLimits() throws MaxNumberException {
        int t[] = {9, 7, 4, 7, 2};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test
    public void testWithLimits1() throws MaxNumberException {
        int t[] = {2, 7, 4, 7, 2, 9};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test
    public void testWithLimits2() throws MaxNumberException {
        int t[] = {7, 5, 2, 9, 2};
        assertEquals(new TwoNumbers(9, 7), MaxNumbers.twoLargest(t));
    }

    @Test(expected = NullPointerException.class)
    public void testNull() throws MaxNumberException {
        MaxNumbers.twoLargest(null);
    }

    @Test(expected = MaxNumberException.class)
    public void testEmpty() throws MaxNumberException {
        int[] t = {};
        MaxNumbers.twoLargest(t);
    }

    @Test(expected = MaxNumberException.class)
    public void testOne() throws MaxNumberException {
        int[] t = {3};
        MaxNumbers.twoLargest(t);
    }

    @Test(expected = MaxNumberException.class)
    public void testConstant() throws MaxNumberException {
        int[] t = {9, 9, 9, 9, 9};
        MaxNumbers.twoLargest(t);
    }
}
